# Uses of Class
it.tdlight.jni.TdApi.MessageExtendedMedia

## Uses of TdApi.MessageExtendedMedia in it.tdlight.jni

Subclasses of TdApi.MessageExtendedMedia in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.MessageExtendedMediaPhoto`
The media is a photo.
`static final class`
`TdApi.MessageExtendedMediaPreview`
The media is hidden until the invoice is paid.
`static final class`
`TdApi.MessageExtendedMediaUnsupported`
The media is unsupported.
`static final class`
`TdApi.MessageExtendedMediaVideo`
The media is a video.
Fields in it.tdlight.jni declared as TdApi.MessageExtendedMedia
Modifier and Type
Field
Description
`TdApi.MessageExtendedMedia`
TdApi.MessageInvoice.`extendedMedia`
Extended media attached to the invoice; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageExtendedMedia
Modifier
Constructor
Description
``
`MessageInvoice(String title, TdApi.FormattedText description, TdApi.Photo photo, String currency, long totalAmount, String startParameter, boolean isTest, boolean needShippingAddress, long receiptMessageId, TdApi.MessageExtendedMedia extendedMedia)`
A message with an invoice from a bot.